<?php
/**
 * Cria Planilhas Excel - Relatorio de Auditoria
 *
 * @author Gonalo Franco
 * @version $Id$
 */

// Salva e desabilita nivel de erro 
$nivelerro = error_reporting(0);

require_once("Spreadsheet/Excel/Writer.php");

$db = nwx_db::conexao();

// Le o ciclo atual para subtitulo
$c = $_SESSION['nwx_etc']['csa_cic'];
$subtitulo = _("Emisso").": " . date('d/m/Y');

// Pega os dados de tabela na sessao
if (isset($_SESSION['nwx_etc']['relat'])) {
  $lin = $_SESSION['nwx_etc']['relat'];
} else
  $lin = array();

//print_r($lin);
//exit;

$titulo = "";

// Dependendo do relatorio atual prepara os titulos, cabecalhos, etc
$cbec = array();
$titulo = _("Relatrio de Trilha de Auditoria");
$cbec[] = _("Data");
$cbec[] = _("Usurio");
$cbec[] = _("Nome");
$cbec[] = _("Menu");
$cbec[] = _("Operao");
$cbec[] = _("Estao");
$cbec[] = _("Adm");
$cbec[] = _("Bloco");

// Cria planilha
$xls =& new Spreadsheet_Excel_Writer();
$xls->send("planilha.xls");
$wrk =& $xls->addWorksheet("Planilha");
$wrk->setPaper(9);
$wrk->setLandscape();

// Cria os formatos a utilizar
$fmt1 =& $xls->addFormat(array('Size' => 12) );
$fmt1->setBold();

$fmt2 =& $xls->addFormat(array('Size' => 8,
                               'FgColor' => 31,
                               'Bold' => 1,
                               'Align' => 'center'
                               ) );
$fmt2->setTextWrap();
$fmt2->setBorder(1);
$fmt2->setBorderColor('silver');
$fmt2->setAlign('vcenter');

$fmt2a =& $xls->addFormat(array('Size' => 8,
                               'FgColor' => 26,
                               'Bold' => 0,
                               'Align' => 'left'
                               ) );
$fmt2a->setTextWrap();
$fmt2a->setBorder(1);
$fmt2a->setBorderColor('silver');

$fmt2b =& $xls->addFormat(array('Size' => 8,
                               'Bold' => 0,
                               'Align' => 'right'
                               ) );
$fmt2b->setTextWrap();
$fmt2b->setBorder(1);
$fmt2b->setBorderColor('silver');

$fmt2c =& $xls->addFormat(array('Size' => 8,
                               'FgColor' => 27,
                               'Bold' => 0,
                               'Align' => 'left'
                               ) );
$fmt2c->setTextWrap();
$fmt2c->setBorder(1);
$fmt2c->setBorderColor('silver');

$fmt2e =& $xls->addFormat(array('Size' => 8,
                               'FgColor' => 27,
                               'Bold' => 0,
                               'Align' => 'right'
                               ) );
$fmt2e->setTextWrap();
$fmt2e->setBorder(1);
$fmt2e->setBorderColor('silver');

$fmt2f =& $xls->addFormat(array('Size' => 8,
                               'FgColor' => 27,
                               'Bold' => 0,
                               'Align' => 'left'
                               ) );
$fmt2f->setBorder(1);
$fmt2f->setBorderColor('silver');


$fmt2d =& $xls->addFormat(array('Size' => 8,
                               'FgColor' => 42,
                               'Bold' => 1,
                               'Align' => 'left'
                               ) );
$fmt2d->setTextWrap();
$fmt2d->setBorder(1);
$fmt2d->setBorderColor('silver');

$fmt3 =& $xls->addFormat(array('Size' => 8,
                               'Bold' => 1,
                               'Align' => 'left'
                               ) );
$fmt4 =& $xls->addFormat(array('Size' => 8,
                               'Bold' => 0,
                               'Align' => 'left'
                               ) );
$fmt4->setTextWrap();
$fmt4->setBorder(1);
$fmt4->setBorderColor('silver');
$fmt4->setAlign('top');


// Escreve o titulo e subtitulo
$wrk->write(0,0,$titulo,$fmt1);
$wrk->write(1,0,$subtitulo,$fmt3);
//$wrk->write(2,0,$nome,$fmt3);

// Linha de cabecalho
$i = 0;
foreach ($cbec as $c) {
  $wrk->setColumn($i,$i,20);
  $wrk->write(4,$i,$c,$fmt2);
  ++$i;
}


$j = 5;
    
// Monta as linhas da planilha

// Percorre as linhas
foreach ($lin as $ln) {

  $f = $fmt4;  

  $wrk->write($j,0,$ln[0],$f);
  $wrk->write($j,1,$ln[1],$f);
  $wrk->write($j,2,$ln[2],$f);
  $wrk->write($j,3,$ln[3],$f);
  $wrk->write($j,4,$ln[4],$f);
  $wrk->write($j,5,$ln[5],$f);
  $wrk->write($j,6,$ln[6],$f);
  $wrk->write($j,7,$ln[7],$f);

  ++$j;

}


$xls->close();

// Volta nivel de erro
error_reporting($nivelerro);
// vim:et:sw=2:ts=2:nowrap
