<?php
/**
 * Mapa dos perfis do sistema
 *
 * @author Gonalo Franco
 * @version $Id$
 */

require_once(NWX_DIR . DIRECTORY_SEPARATOR . "nwx_quadro.php");
require_once(NWX_DIR . DIRECTORY_SEPARATOR . "nw_grp_map_01.php");

/**
 * Define o quadro para mostrar na tela
 */
class nw_grp_map extends nwx_quadro {

  /**
   * Construtor: ajusta o titulo e tipo
   */
  function __construct($id) {
      
    parent::__construct($id);
    $this->titulo = _("Grupos");
    $this->fixo = 0;
  
  }
  
  /**
   * Monta a tela de detalhes
   */
  function monta() {

    $tab = $_SESSION[NWX_SIS . '_tab'];
    $db = nwx_db::conexao();

    // Monta a pagina
    $pla = '&nbsp;';
    $ret = planilha();
    $tit = $ret[0];
    $pla = $ret[1];
    $lin = $ret[2];
    // Linhas para excel
    $_SESSION['nwx_etc']['relat'] = $ret[3];

    echo "<table width=\"100%\" class=\"layout\" cellspacing=\"0\">\n";
    echo "<tr>";
    echo "<td class=\"rel-cabec\">";
    echo $tit;
    echo "</td>";
    echo "<td class=\"rel-control\">";
    echo bt_fechar("nw_grp_map");
    echo bt_imprimir("nw_grp_map_01");
    // Excel desabilitado: echo bt_xls("nw_grp_map_xls");
    echo "</td></tr>";
    echo "</table>";
    
    // Conteudo da Pagina
    echo "<div name=\"p1\" id=\"p1\" style=\"position:relative; left:0px; top:0px;margin:0px;\">\n";
    echo $pla . "&nbsp;";
    echo "</div>\n";

  }
  
}
// vim:et:sw=2:ts=2:nowrap
