<?php
/**
 * Classe representando um cabecalho
 *
 * @file nwx_form_cabec.php
 * @author Gonalo Franco
 * @version $Id: nwx_form_cabec.php 924 2007-01-11 18:36:37Z goncalo $
 */

require_once(NWX_DIR . DIRECTORY_SEPARATOR . "nwx_form_ctrl.php");

/**
 * Classe representando um cabecalho
 */
class nwx_form_cabec extends nwx_form_ctrl {

  /**
   * Construtor
   */
  function __construct($id) {

    $this->id = $id;
    $this->tipo = 'C';
    $this->tam = 0;
    $this->dec = 0;
    $this->nulo = true;
    $this->read_only = true;
    $this->automatico = true;
    $this->jscript = '';
    $this->ref_sql = '';
    $this->ref_campo = '';
    $this->ref_atrib = '';
    $this->lov = '';
    
  }

  /**
   * Monta o conteudo do controle
   */
  function monta($ro, $nv) {
    
    echo "<div class=\"form-cabec\">";
    echo $this->id;
    echo "</div>\n";

    
  }

} //class nw_form_cabec
// vim:et:sw=2:ts=2:nowrap:
