<?php
/**
 * Classe para representar um comando
 *
 * @file nwx_form_cmd.php
 * @author Gonalo Franco
 * @version $Id: nwx_form_textarea.php 924 2007-01-11 18:36:37Z goncalo $
 */

require_once(NWX_DIR . DIRECTORY_SEPARATOR . "nwx_form_ctrl.php");

/**
 * Classe representando uma area de texto
 */
class nwx_form_cmd extends nwx_form_ctrl {

  public $comandos = array();

  /**
   * Monta o conteudo do controle
   */
  function monta($ro, $nv) {

    if ($this->read_only) return;

    foreach ($this->comandos as $k => $item) {
      if ($item[1]) {
        $tt = nwx_ttip($item[1]); 
      } else {
        $tt = "";
      } 
      if (strtolower(substr($item[0],0,4)) == '<img') {
      	$c = '';
      	$s = '&nbsp;&nbsp;';
      } else {
        $c = 'class=\"nav\"';
        $s = '';
      }
    	echo "<a $tt {$c} href=\"javascript:submit_oper('$this->form','oper_$this->form','{$k}');\">{$item[0]}</a>{$s}";
    }    
      
  } 
  
} //class nwx_form_cmd 
// vim:et:sw=2:ts=2:nowrap:
