<?php
/**
 * Classes para controles de senhas
 *
 * @file nwx_form_pass.php
 * @author Gonalo Franco
 * @version $Id: nwx_form_pass.php 924 2007-01-11 18:36:37Z goncalo $
 */

require_once(NWX_DIR . DIRECTORY_SEPARATOR . "nwx_form_ctrl.php");

/**
 * Classe representando um controle de senha
 */
class nwx_form_pass extends nwx_form_ctrl {

  /**
   * Monta o conteudo do controle
   */
  function monta($ro, $nv) {

    if ($this->mostra_label)
      echo $this->label . "<br>";
    $valor = (isset($_POST[$this->nome])) ? $_POST[$this->nome] : $this->valor;
    if (($this->read_only and ($this->automatico or (!empty($valor) && !$nv))) or $ro)
      echo "<input class=\"form-input-ro\" disabled type=\"password\" name=\"$this->nome\" value=\"$valor\" $this->atributos>";
    else
      echo "<input class=\"form-input\" type=\"password\" name=\"$this->nome\" value=\"$valor\" $this->atributos onFocus=\"nwFocus(this);\" onblur=\"nwBlur(this);\" onkeypress=\"return focusNext(this.form,'$this->nome',event);\" >";
    $this->ajuda();

  }

} //class nwx_form_pass
// vim:et:sw=2:ts=2:nowrap:
