<?php
/**
 * Status atual da conexao
 *
 * @file nwx_stat.php
 * @author Gonalo Franco
 * @version $Id: nwx_stat.php 924 2007-01-11 18:36:37Z goncalo $
 */

require_once(NWX_DIR . DIRECTORY_SEPARATOR . "nwx.php");
require_once(NWX_DIR . DIRECTORY_SEPARATOR . "nwx_quadro.php");
require_once(NWX_DIR . DIRECTORY_SEPARATOR . "nwx_util.php");

/**
 * Define quadro contendo formulario de login
 */
class nwx_stat extends nwx_quadro {

  /**
   * Construtor: ajusta o titulo e tipo
   */
  function __construct($id) {
    
    parent::__construct($id);
    $this->titulo = "";
    $this->fixo = 1;

  }

  function monta() {
    
    $h = "<span class=\"etiq\">Nome: </span><span class=\"texto\">" . $_SESSION['nwx_nom'] . "</span><br>" .
         "<span class=\"etiq\">Data/Hora: </span><span class=\"texto\">" . $_SESSION['nwx_ini'] . "</span>";
    if ($_SESSION['nwx_adm']) {
      $h .= "<br><span class=\"texto\"><img align=\"absmiddle\" src=\"/nwx/img/tchk.png\"> Usurio Administrador</span>";
    }
    $h = htmlentities($h);
    $a = "<a href=\"javascript:void(0);\" onmouseover=\"return " .
       "overlib('$h'," .
       "TEXTFONT,'Arial'," .
       "TEXTSIZE,'12px'," .
       "WIDTH,'240'," .
       "DELAY,250," .
       "CAPTION,'Detalhes da Conexo'," .
       "HAUTO,VAUTO" .
       ");\"" .
       "onmouseout=\"nd();\">\n";

    //echo "<span class=\"etiq\"><img align=\"absmiddle\" src=\"/nwx/img/user.gif\">Usurio </span>";
    echo "<table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td>";
    echo "<span class=\"texto\"><img align=\"absmiddle\" src=\"/nwx/img/user.gif\">" . $a . 
          strtolower($_SESSION['nwx_usr']) . "</a></span>";
    echo "</td><td nowrap>";
    echo "<span class=\"texto\" style=\"float:right;\">";
    echo "<a ".nwx_ttip("Alterar sua senha")."href=\"/".NWX_APL."/".NWX_IDX."?blc=nwx_senha&col=0&seq=1&tmp\"><img border=\"none\" align=\"absmiddle\" src=\"/nwx/img/lock_icon.gif\"></a>&nbsp;";
    echo "<a ".nwx_ttip("Usurios conectados")."href=\"/".NWX_APL."/".NWX_IDX."?logout\"><img border=\"none\" align=\"absmiddle\" src=\"/nwx/img/group.gif\"></a>&nbsp;";
    echo "<a ".nwx_ttip("Desconectar")."href=\"/".NWX_APL."/".NWX_IDX."?logout\"><img border=\"none\" align=\"absmiddle\" src=\"/nwx/img/site_icon.gif\"></a></span>";
    echo "</td>";
    echo "</tr></table>";

  }

}
// vim:et:sw=2:ts=2:nowrap:
