<?php
/**
 * Carrega classe nomeada e mostra em pagina separada
 *
 * Carrega definicao de classe de um dos diretorios padrao e mostra conteudo
 * da pagina usando o procedimento mostra() do objeto criado. Assume que eh um bloco
 *
 * @author Gonalo Franco
 * @version $Id$
 */

// Le o codigo do sistema
require("index_sis.php");

require_once("nwx.php");

$css2 = "";
$css = NWX_HTD."/".NWX_SIS.".css";
$css1 = "/".NWX_APL."/".NWX_SIS.".css";
if (file_exists($css))
	$css2 = "    <link rel=\"stylesheet\" href=\"$css1\">\n";
$est2 = '';
if (isset($_SESSION['nwx_estilo'])) {
	$css = $_SESSION['nwx_estilo'];
} else {
	$css = NWX_ESTILO;
}

//$est = ($css == 'nwx') ? '' : '/nwx/estilos/' . rtrim($css) . '/' . rtrim($css) . ".css";
$est = '/nwx/estilos/' . rtrim($css) . '/' . rtrim($css) . ".css";
$est2 = $est ? "<link rel=\"stylesheet\" href=\"$est\">" : "";

// Definicao da pagina 
$inicio =  "
		<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">
		<html>
			<head>
				<meta http-equiv=\"content-type\" content=\"text/html;charset=iso-8859-1\">
				$est2
				$css2
				<link rel=\"stylesheet\" href=\"/nwx/jscript/jscalendar-1.0/calendar-blue.css\">
				<script type=\"text/javascript\" src=\"/nwx/jscript/TreeMenu.js\"></script>
				<script type=\"text/javascript\" src=\"/nwx/jscript/nwx_util.js\"></script>
				<script type=\"text/javascript\" src=\"/nwx/jscript/nwx_lov.js\"></script>
				<script type=\"text/javascript\" src=\"/nwx/jscript/tigra_tables.js\"></script>
				<script type=\"text/javascript\" src=\"/nwx/jscript/overlib.js\"></script>
				<script type=\"text/javascript\" src=\"/nwx/jscript/flexgrid.js\"></script>
				<script type=\"text/javascript\" src=\"/nwx/jscript/nwx_ajax.js\"></script>
				<script type=\"text/javascript\" src=\"/nwx/jscript/jscalendar-1.0/calendar.js\"></script>
				<script type=\"text/javascript\" src=\"/nwx/jscript/jscalendar-1.0/lang/calendar-br.js\"></script>
				<script type=\"text/javascript\" src=\"/nwx/jscript/jscalendar-1.0/calendar-setup.js\"></script>
				<script type=\"text/javascript\" src=\"/nwx/jscript/prototype.js\"></script>
			</head>
			<body class=\"dialog\" topmargin=\"0\" bottommargin=\"0\" leftmargin=\"0\" tightmargin=\"0\">
			<div id=\"overDiv\" style=\"position:absolute; visibility:hidden; z-index:1000;\"></div>
			<table class=\"corpo\" width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\">
			<tr><td>
			";

$fim = "</td></tr></table>  
			</body>
			</html>
			 ";  

// Nome da classe a carregar vem no GET
if (isset($_GET['pag'])) {

	$classe = $_GET['pag'];
	
	// Verifica se pode encontrar o arquivo da classe
	if (file_exists(NWX_BAS . DIRECTORY_SEPARATOR  . "$classe.php")) {
		$pclass = NWX_BAS;
	} elseif (file_exists(NWX_DIR . DIRECTORY_SEPARATOR . "$classe.php")) {
		$pclass = NWX_DIR;
	} else {
		$pclass = '';
	}
	
	// Encontrou definicao no disco: cria bloco
	if ($pclass) {
		require_once("$pclass/$classe.php");
	} else {
		require_once("nwx_nob.php");
	}
	
	//$_SESSION['nwx_abre'][0][$classe] = array(0,0,0,array('BR'));
	
	$f = new $classe($classe);
	echo $inicio;
	$f->mostra();
	echo $fim;

}
