//
// nw_rs.js - Chamadas via Remote Scripting
//

var nwx_dsp_frm;
var nwx_dsp_des;


/**
 * Preenche campo de display com retorno de SQL
 * 
 * apl - Diretorio base do aplicativo
 * sql - Instrucao sql a executar
 * cmp - Campo a retornar do sql
 * frm - Nome do formulario onde esta o campo a preencher
 * ori - Nome do campo origem para o where do sql
 * des - Nome do campo destino onde escrever o resultado
 */
function nwx_dsp_mostra(apl,sql,cmp,frm,ori,des) {
  v = document.forms[frm].elements[ori].value;
  nwx_dsp_frm = frm;
  nwx_dsp_des = des;
  jsrsExecute(apl + "nwx_rs.php", cbDsp, "rs_dsp", Array(sql, cmp, v));
}

/**
 * Funcao de call-back para a nw_dsp_mostra
 */
function cbDsp(returnstring) {
  document.forms[nwx_dsp_frm].elements[nwx_dsp_des].value = returnstring;
} 

/**
 * Seta sessao com valor de um campo
 * 
 * apl - Diretorio base do aplicativo
 * frm - Nome do formulario onde esta o campo a ler
 * cmp - Nome do campo com valor a ler
 */
function nwx_sess(apl,frm,cmp) {
  v = document.forms[frm].elements[cmp].value;
  jsrsExecute(apl + "nwx_rs.php", null, "rs_sess", Array(cmp, v));
}

