<?php
/**
 * Mostra pagina da relatorio de auditoria
 *
 * @author Gonalo Franco
 * @version $Id$
 */

require_once(NWX_DIR . DIRECTORY_SEPARATOR . "nwx_quadro.php");

/**
 * Define o quadro para mostrar na tela
 */
class nw_audt_ls extends nwx_quadro {

  /**
   * Construtor: ajusta o titulo e tipo
   */
  function __construct($id) {
      
    parent::__construct($id);
    $this->titulo = _("Emisso de Relatrio");
    $this->fixo = 0;
  
  }
  
  /**
   * Mostra o quadro na tela
   */
  function monta() {

    $tab = $_SESSION[NWX_SIS . '_tab'];
    $db = nwx_db::conexao();

    // Monta a pagina
    include_once(NWX_DIR . DIRECTORY_SEPARATOR . "nw_audt_rel_01.php");
    
    $ret = planilha();
    $tit = $ret[0];
    $pla = $ret[1];
    $lin = $ret[2];
    $_SESSION['nwx_etc']['relat'] = $lin;

    echo "<table width=\"100%\" class=\"layout\" cellspacing=\"0\">\n";
    echo "<tr>";
    echo "<td class=\"rel-cabec\">";
    echo $tit;
    echo "</td>";
    echo "<td class=\"rel-control\">";
    echo bt_fechar("nw_audt_ls");
    echo bt_imprimir("nw_audt_rel_01");
    echo bt_xls("nw_audt_rel_xls");
    echo "</td></tr>";
    echo "</table>";
    
    // Conteudo da Pagina
    echo "<div name=\"p1\" id=\"p1\" style=\"position:relative; left:0px; top:0px;margin:0px;\">\n";
    echo $pla . "&nbsp;";
    echo "</div>\n";

  }

}
// vim:et:sw=2:ts=2:nowrap