<?php
/**
 * Modulo de autenticacao Sumitomo (BSMB_ACS)
 *
 * @author Gonalo Franco
 * @version $Id$
 */

// Apelido do sistema a ser acessado
define('BSMB_SIS', 'M2I');

/**
 * Retorna array com registros de acesso
 *
 * @return array com varios (usr, bloco)
 */
function nwx_ext_acl() { 
 
	$acessos = array();
	
	$sis = BSMB_SIS.strtoupper(NWX_SIS);
	$usr = $_SESSION['nwx_usr'];
	try {
		$com = new COM('BSMB_ACS.Acesso');
		if ($com) {
			$erro = $com->ListaAcesso($usr, $sis);
			if (!$erro) {
				$txt = utf8_encode($com->Acesso);
				$xml = new SimpleXMLElement($txt);      
				foreach ($xml->AREA_TRABALHO as $area) {
					$atrab = (string) $area['TXT_APELIDO_AREA_TRABALHO'];
					if ($atrab == 'Sistema') {
						continue;
					}
					foreach ($area->OBJETO as $obj) {
						$modulo = (string) $obj;
						$cn = substr($modulo, 0, 3);
						if ($cn == 'cis' || $cn == 'csa' || $cn == 'nwx' || $cn == 'nw_') {
							$acessos[] = array($usr, $modulo);  
						}
					}
				}      
			}
		}
	} catch (Exception $e) {
		$erro = 1;
		$mensagem = $e->getMessage();
	}
	
	return $acessos;
}
// vim:et:sw=2:ts=2:nowrap:
