<?php
/**
 * Classe para checkbox
 *
 * @file nwx_form_check.php
 * @author Gonalo Franco
 * @version $Id: nwx_form_check.php 924 2007-01-11 18:36:37Z goncalo $
 */

require_once(NWX_DIR . DIRECTORY_SEPARATOR . "nwx_form_ctrl.php");

/**
 * Classe representando um controle de checkbox
 *
 */
class nwx_form_check extends nwx_form_ctrl {

  /**
   * Monta o conteudo do controle
   */
  function monta($ro, $nv) {

    echo "<br>";
    $valor = (isset($_POST[$this->nome])) ? $_POST[$this->nome] : $this->valor;
    $c = ($valor == 1) ? "checked" : "";
    if (($this->read_only and ($this->automatico or (!empty($valor) && !$nv))) or $ro)
      echo "<input class=\"form-check-ro\" disabled type=\"checkbox\" $c name=\"$this->nome\" value=\"1\" $this->atributos onkeypress=\"return focusNext(this.form,'$this->nome',event);\">" . $this->label;
    else
      echo "<input class=\"form-check\" type=\"checkbox\" $c name=\"$this->nome\" value=\"1\" $this->atributos onkeypress=\"return focusNext(this.form,'$this->nome',event);\" onfocus=\"nwFocus(this);\" onblur=\"nwBlur(this)\";>" . $this->label;
    $this->ajuda();

  }

} //class nwx_form_check
// vim:et:sw=2:ts=2:nowrap:
