<?php
/**
 * Classe para controle radio button
 *
 * @file nwx_form_radio.php
 * @author Gonalo Franco
 * @version $Id: nwx_form_radio.php 924 2007-01-11 18:36:37Z goncalo $
 */

require_once(NWX_DIR . DIRECTORY_SEPARATOR . "nwx_form_ctrl.php");

/**
 * Classe representando um controle radio button
 *
 */
class nwx_form_radio extends nwx_form_ctrl {

  public $valores;
  public $vertical = true;

  /**
   * Monta o conteudo do controle
   */
  function monta($ro, $nv) {

    echo $this->label . "<br>";

    $valor = (isset($_POST[$this->nome])) ? $_POST[$this->nome] : $this->valor;

    echo "<table class=\"radio\"><tr>";
    echo "<td class=\"radio\">";
    foreach($this->valores as $r) {
      $c = ($valor == $r[0]) ? "checked" : "";
      if (($this->read_only and ($this->automatico or (!empty($valor) && !$nv))) or $ro)
        echo "<input class=\"form-radio-ro\" disabled type=\"radio\" $c name=\"$this->nome\" value=\"$r[0]\" $this->atributos onkeypress=\"return focusNext(this.form,'$this->nome',event);\">" . $r[1];
      else
        echo "<input class=\"form-radio\" type=\"radio\" $c name=\"$this->nome\" value=\"$r[0]\" $this->atributos onkeypress=\"return focusNext(this.form,'$this->nome',event);\" onfocus=\"nwFocus(this);\" onblur=\"nwBlur(this)\";>" . $r[1];
      if ($this->vertical)
        echo "<br>";
    }
    $this->ajuda();
    echo "</td></tr></table>";

  }

} //class nwx_form_radio
// vim:et:sw=2:ts=2:nowrap:
