<?php
/**
 * Classe para representar grid subordinado a um formulario
 *
 * @file nwx_form_subgrid.php
 * @author Gonalo Franco
 * @version $Id: nwx_form_subgrid.php 924 2007-01-11 18:36:37Z goncalo $
 */

require_once(NWX_DIR . DIRECTORY_SEPARATOR . "nwx_form_ctrl.php");
require_once(NWX_DIR . DIRECTORY_SEPARATOR . "nwx_form.php");

/**
 * Classe representando uma area de texto
 */
class nwx_form_subgrid extends nwx_form_ctrl {

  public $origem = '';
  public $altura = "264px";

  /**
   * Monta o conteudo do controle
   */
  function monta($ro, $nv) {

    $f = $this->form;
    
    //$ori = "nwx_load.php?pag=".$this->origem."&key=".$this->valor;
    $ori = "index_ldr.php?pag=".$this->origem."&key=".$this->valor;
    $alt = $this->altura;
    
    // Guarda nome dos sub-blocos para excluir depois
    if (!isset($_SESSION['nwx_sbb'][$this->bloco]))
      $_SESSION['nwx_sbb'][$this->bloco] = array();
    $_SESSION['nwx_sbb'][$this->bloco][] = $this->origem;
    
    //echo $this->bloco . "<br>";
    echo "<iframe class=\"subgrid\" width=\"100%\" height=\"$alt\"
            frameborder=\"0\" scrolling=auto src=\"$ori\">
          </iframe>"; 
    
  }
  
} //class nwx_form_subgrid 
// vim:et:sw=2:ts=2:nowrap:
