<?php
/**
 * Classe para representar area de texto
 *
 * @file nwx_form_textarea.php
 * @author Gonalo Franco
 * @version $Id: nwx_form_textarea.php 924 2007-01-11 18:36:37Z goncalo $
 */

require_once(NWX_DIR . DIRECTORY_SEPARATOR . "nwx_form_ctrl.php");

/**
 * Classe representando uma area de texto
 */
class nwx_form_textarea extends nwx_form_ctrl {

  public $linhas = 10;

  /**
   * Monta o conteudo do controle
   */
  function monta($ro, $nv) {

    if ($this->mostra_label)
      echo $this->label . "<br>";
    $v = $this->valor;
    $valor = (isset($_POST[$this->nome])) ? $_POST[$this->nome] : $v;
    if (($this->read_only and ($this->automatico or (!empty($valor) && !$nv))) or $ro)
      $r = "class=\"form-input-ro\" readonly";
    else
      $r = "class=\"form-input\"";
    echo "<textarea $r style=\"width:100%;\" id=\"$this->nome\" name=\"$this->nome\" rows=\"$this->linhas\" onfocus=\"nwFocus(this);\" onblur=\"nwBlur(this)\";>";
    echo $valor;
    echo "</textarea>";
    
  } 
  
} //class nwx_form_textarea 
// vim:et:sw=2:ts=2:nowrap:
