<?php
/**
 * Classe para representar area de texto com editor
 *
 * @file nwx_form_texteditor.php
 * @author Gonalo Franco
 * @version $Id: nwx_form_texteditor.php 924 2007-01-11 18:36:37Z goncalo $
 */

require_once(NWX_DIR . DIRECTORY_SEPARATOR . "nwx_form_ctrl.php");
//require_once(NWX_RAIZ . "/nwx/FCKeditor/fckeditor.php");

/**
 * Classe representando uma area de texto
 */
class nwx_form_texteditor extends nwx_form_ctrl {

	public $height = 200;
	public $v1 = false;
  public $html = false;

	/**
	 * Monta o conteudo do controle
	 */
	function monta($ro, $nv) {

		if ($this->mostra_label)
			echo $this->label . "<br>";
		$v = $this->valor;
		$valor = (isset($_POST[$this->nome])) ? $_POST[$this->nome] : $v;
		if (($this->read_only and ($this->automatico or (!empty($valor) && !$nv))) or $ro)
			$r = "class=\"form-input-ro\" readonly";
		else
			$r = "class=\"form-input\"";
		if (($this->read_only and ($this->automatico or (!empty($valor) && !$nv))) or $ro) {
			if (!$this->html) {
        echo "<textarea class=\"form-input-ro\" readonly style=\"width:100%;\" id=\"$this->nome\" name=\"$this->nome\" rows=\"4\" onfocus=\"nwFocus(this);\" onblur=\"nwBlur(this)\";>";
			  echo strip_tags(str_ireplace("<br>","\n",$valor));
			  echo "</textarea>"; 
      } else {
        echo "<div style=\"width:100%;border-width:1px;border-style:inset;padding:2px;background-color:#fff;color:#000;font-weight:normal;font-size:12px;font-family:arial;\">";
        echo $valor;
        echo "</div>";
      }
		} else {
			if ($this->v1) {
				include_once(NWX_HTD . "/FCKEditor/fckeditor.php");
				$oFCKeditor = new FCKeditor ;
				$oFCKeditor->BasePath = '/' . NWX_APL . '/FCKEditor/' ;
				$oFCKeditor->Value = $valor;
				$oFCKeditor->CreateFCKeditor($this->nome, '100%', $this->height);
			} else {
				require_once(NWX_RAIZ . "/nwx/fckeditor/fckeditor.php");
				$oFCKeditor = new FCKeditor($this->nome);
				$oFCKeditor->BasePath = '/nwx/fckeditor/' ;
				$oFCKeditor->ToolbarSet = 'nwx' ;
				$oFCKeditor->Config['CustomConfigurationsPath'] = '/nwx/jscript/fckconfig_nwx.js' ;
				$oFCKeditor->Config['ImageBrowserURL'] = '/nwx/fckeditor/editor/filemanager/browser/default/browser.html?Type=Image&Connector=../../connectors/php/connector.php&ServerPath=/' . NWX_APL . '/arquivos/' ;
				$oFCKeditor->Config['LinkBrowserURL']  = '/nwx/fckeditor/editor/filemanager/browser/default/browser.html?Connector=../../connectors/php/connector.php&ServerPath=/' . NWX_APL . '/arquivos/';
				$oFCKeditor->Config['EnterMode'] = 'p' ;
				if (isset($_SESSION['nwx_locale']) && $_SESSION['nwx_locale']) {
					$oFCKeditor->Config['DefaultLanguage'] = strtolower(str_replace('_','-',$_SESSION['nwx_locale']));
				}
				$oFCKeditor->Value = $valor;
				$oFCKeditor->Height = $this->height;
				$oFCKeditor->Create();
			}
		}
		
	}
	
} //class nwx_form_texteditor 
// vim:et:sw=2:ts=2:nowrap:
