<?php
/**
 * Classe para file uploads
 *
 * @file nwx_form_upload.php
 * @author Gonalo Franco
 * @version $Id: nwx_form_upload.php 924 2007-01-11 18:36:37Z goncalo $
 */

require_once(NWX_DIR . DIRECTORY_SEPARATOR . "nwx_form_ctrl.php");

/**
 * Classe representando um controle de file upload
 */
class nwx_form_upload extends nwx_form_ctrl {

  /**
   * Monta o conteudo do controle
   */
  function monta($ro, $nv) {

    $this->upload = true;
    if ($this->mostra_label)
      echo $this->label . "<br>";
    $valor = (isset($_POST[$this->nome])) ? $_POST[$this->nome] : $this->valor;
    if (($this->read_only and ($this->automatico or (!empty($valor) && !$nv))) or $ro)
      echo "<input class=\"form-input-ro\" readonly type=\"text\" name=\"$this->nome\" value=\"$valor\" $this->atributos>";
    else
      echo "<input name=\"$this->id\" type=\"file\" class=\"form-input\" value=\"$valor\" $this->atributos onkeypress=\"return focusNext(this.form,'$this->nome',event);\" onfocus=\"nwFocus(this);\" onblur=\"nwBlur(this)\";>";
    $this->ajuda();

  }

} //class nwx_form_upload
// vim:et:sw=2:ts=2:nowrap:
