<?php
/**
 * Bloco que substitui blocos nao encontrados em disco
 *
 * @file nwx_nob.php
 * @author Gonalo Franco
 * @version $Id: nwx_nob.php 924 2007-01-11 18:36:37Z goncalo $
 */

require_once(NWX_DIR . DIRECTORY_SEPARATOR . "nwx.php");
require_once(NWX_DIR . DIRECTORY_SEPARATOR . "nwx_bloco.php");

/**
 * Mostra bloco em substituiao a bloco nao encontrado no disco
 *
 * Quando um bloco nao for encontrado, o controle de pagina vai mostrar este bloco<br>
 * no lugar do primeiro. Mostra o nome do bloco original seguido de (?).
 */
class nwx_nob extends nwx_bloco {

  //! Mostra bloco com a mensagem  
  function monta() {

    $icone = '';
    $id = $this->id;
    
    $val = nwx_qval($id, $_SESSION[NWX_SIS . '_tab']);
    if ($val && isset($val['ico'])) {
      $icone = "/nwx/img/" . $val['ico'];
      $ic = "<img align=\"absmiddle\" border=\"0\" src=\"". $icone . "\"></img>&nbsp;";
    } else {
      $ic = "";
    }
    if ($val) {
      $msg = _("Mdulo no foi instalado.<br>Click para Fechar");
      $s = _("Clique para Fechar");
    } else {
      $msg = _("Mdulo no foi instalado");
      $s = "";
    }
    echo "<div style=\"margin:0px;padding:4px;\">";
    echo "<a ".nwx_ttip($msg)." class=\"nav\" href=\"".NWX_IDX."?blc=$id&x\">{$ic} "._("No instalado")." ($id) - $s</a>";
    echo "</div>";

  }

} //class nwx_nob 

// vim:et:sw=2:ts=2:nowrap:
