<?php
/**
 * Mostra tela de relatorio em planilha Excel
 *
 * @author Gonalo Franco
 * @version $Id$
 */

require_once(NWX_DIR . DIRECTORY_SEPARATOR . "nwx.php");
require_once(NWX_DIR . DIRECTORY_SEPARATOR . "nwx_quadro.php");
require_once(NWX_DIR . DIRECTORY_SEPARATOR . "nwx_dialogo.php");
require_once(NWX_DIR . DIRECTORY_SEPARATOR . "nwx_db.php");
require_once(NWX_DIR . DIRECTORY_SEPARATOR . "nwx_time.php");

/**
 * Define o quadro para mostrar na tela
 */
class nwx_relat_xls extends nwx_bloco {

  /**
   * Mostra o quadro na tela
   */
  function monta() {

    // Le o parametro 'rel' passado a nwx_relat
    // Contem o nome do relatorio
    if (isset($_GET['rel'])) {
      $relat = $_GET['rel'];
    } else {
      $relat = '';
    }
    $db = nwx_db::conexao();

    // Verifica se pode encontrar o arquivo da classe
    if (file_exists(NWX_BAS . DIRECTORY_SEPARATOR  . "$relat.php")) {
      $pclass = NWX_BAS;
    } elseif (file_exists(NWX_DIR . DIRECTORY_SEPARATOR . "$relat.php")) {
      $pclass = NWX_DIR;
    } else {
      $pclass = '';
    }
    
    // Monta a pagina
    if ($relat && $pclass) {
      include_once($pclass . DIRECTORY_SEPARATOR . "$relat.php");
      $ok = true;
    } else {
      $ok = false;
    }
    
  }

}
// vim:et:sw=2:ts=2:nowrap:
