<?php
/**
 * Implementacao de grids para LOV
 *
 * @version $Id$
 */

// Le o codigo do sistema
require("index_sis.php");
	
require_once("nwx.php");
require_once(NWX_DIR . DIRECTORY_SEPARATOR . "nwx_dialogo.php");
require_once(NWX_DIR . DIRECTORY_SEPARATOR . "nwx_grid.php");

// Verifica se tem funcao de filtragem para o lov
if (isset($_SESSION['nwx_lov'][$_GET['frm']][$_GET['fld']])) {
	$func = $_SESSION['nwx_lov'][$_GET['frm']][$_GET['fld']]['funcao'];
	if ($func) include_once(NWX_BAS . DIRECTORY_SEPARATOR . "{$func}.php");
}

/**
 * Cria o quadro que contem o grid da LOV
 */
class lov extends nwx_quadro {

	function __construct($id) {
		parent::__construct($id);
		//$this->titulo = "Lista de Opes";
	}

	/**
	 * Monta o conteudo do quadro
	 */
	function monta() {

		// Variavel de sessao que contem os parametros da LOV
		if (isset($_SESSION['nwx_lov'][$_GET['frm']][$_GET['fld']]))
			$val = $_SESSION['nwx_lov'][$_GET['frm']][$_GET['fld']];
		else {
			echo "<script language=\"javascript\">close();</script>";
			return;
		}

		// Objeto grid
		$grid = new nwx_grid($this, $val['query'], $val['where'], $val['order']);

		$grid->id = $_GET['frm'];
		
		// Prepara os campos de filtro ou busca (campo, nome a mostrar, tipo)
		$grid->filtro = $val['filtro'];

		// Colunas do grid (campo,label,largura,alinhamento,tipo,formato)
		$grid->colunas = $val['colunas'];

		// Nome da coluna que identifica a linha
		$grid->pk = array($val['pk']);

		// Numero de linhas por pagina
		$grid->linhas($val['linhas']);

		// Cria os botoes para funcoes do grid
		// Array indexado pelo label do botao, contendo :
		// (nome da funcao p/ form, o form, se campos read-only, se reg.novo)
		$dom = textdomain(null);
		textdomain('nwx');
		$grid->oper = array('OK' => array('OK',false,false,true,_("Usar o valor apontado")),
												'Nenhum' => array(_('Nenhum'),false,false,true,_("Usar valor em branco"))
											 );
		textdomain($dom);
		$grid->lov = true;

		// Mostra o grid na pagina
		$grid->mostra($this);

	}

}

if (isset($_GET['frm']) && isset($_GET['fld'])) {
	//$l = new lov($_GET['frm'].$_GET['fld'],'');
	$l = new lov('LOV_'.$_GET['frm'].'_'.$_GET['fld']);
	$p = new nwx_dialog($_GET['tit'], $l);
	$p->mostra();
} 
